<template>
  <div>
    <RouterView v-if="moduleIsReady" />
  </div>
</template>

<script lang="ts">
// import the store for current module
import useErrorStore from "./store";

export default defineComponent({
  setup() {
    const errorStore = useErrorStore();

    return { errorStore };
  },

  computed: {
    moduleIsReady(): boolean {
      return true;
    },
  },

  created() {
    this.initialize();
  },

  methods: {
    async initialize() {
      // do initialization stuff (e.g. API calls, element loading, etc.)
      // ...
    },
  },
});
</script>

<style></style>
